qpid-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Andy Goldstein <andy.goldst...@redhat.com>
Subject Re: Qpid C++ broker install on Mac Lion
Date Thu, 19 Jul 2012 18:08:40 GMT
You can install boost via e.g. Homebrew, but once you get all the prerequisites installed,
you won't be able to compile everything.  The qpid codebase uses gcc (ELF) thread local support,
and OS X doesn't support those directives.

Andy

On Jul 19, 2012, at 1:06 PM, aparikh wrote:

> Trying to configure  qpid C++ broker on Mac lion throws error with Missing
> required header files...
> Any tips on fixing this ??
> 
> 
> 
> checking for
> "/System/Library/Frameworks/Python.framework/Versions/2.7/include/python2.7/Python.h"...
> yes
> checking for perl... perl
> checking for
> "/System/Library/Perl/5.12/darwin-thread-multi-2level/CORE/perl.h"... yes
> checking boost/shared_ptr.hpp usability... no
> checking boost/shared_ptr.hpp presence... no
> checking for boost/shared_ptr.hpp... no
> configure: error: Missing required header files.
> 
> --
> View this message in context: http://qpid.2158936.n2.nabble.com/Qpid-C-broker-install-on-Mac-Lion-tp7579931.html
> Sent from the Apache Qpid users mailing list archive at Nabble.com.
> 
> ---------------------------------------------------------------------
> To unsubscribe, e-mail: users-unsubscribe@qpid.apache.org
> For additional commands, e-mail: users-help@qpid.apache.org
> 


---------------------------------------------------------------------
To unsubscribe, e-mail: users-unsubscribe@qpid.apache.org
For additional commands, e-mail: users-help@qpid.apache.org


Mime
View raw message